@charset "UTF-8";

.qa {
    display: flex;
    align-items: stretch;
    align-content: stretch;
    justify-items: center;
    justify-content: center;
    padding: 0 0 125px 0;
}

/****側欄****/
.qa__aside {
    display: block;
    width: 325px;
    margin: 90px -100px 60px 0;
    z-index: 10;
}

.qa__aside__list {
    display: block;
    width: 100%;
}

.qa__aside__list__item {
    display: block;
    width: 100%;
    margin: 0 0 10px 0;
    border-radius: 5px;
    background: #f1f2f7;
    overflow: hidden;
}

.qa__aside__list__item::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    width: 100%;
    height: 100%;
    background: linear-gradient(to top, #24cbd3 0%, #0bbac2 100%);
    opacity: 0;
    transition: opacity .4s ease-in-out;
}

.qa__aside__list__item::after {
    content: '';
    position: absolute;
    top: calc(50% - 6px);
    right: 30px;
    display: block;
    width: 6px;
    height: 12px;
    background: url(../images/common/icon_arrow_next_white.svg) center no-repeat;
    background-size: contain;
    filter: brightness(0);
    transition: filter .4s ease-in-out;
}

.qa__aside__list__item:last-of-type {
    margin: 0;
}

.qa__aside__list__item__link {
    display: block;
    width: 100%;
    font-size: 17px;
    line-height: 1.2;
    color: #44464e;
    font-family: 'NotoSansTC-M';
    padding: 25px 50px 25px 30px;
    transition: color .4s ease-in-out;
}

/**啟動樣式**/
.qa__aside__list__item:hover::before,
.qa__aside__list__item.active::before {
    opacity: 1;
}

.qa__aside__list__item:hover::after,
.qa__aside__list__item.active::after {
    filter: none;
}

.qa__aside__list__item:hover .qa__aside__list__item__link,
.qa__aside__list__item.active .qa__aside__list__item__link {
    color: #fff;
}

.qa__aside__select {
    display: none;
}

/****內文****/
.qa__content {
    display: block;
    width: calc(100% - 225px);
    padding: 90px 90px 90px 160px;
    background: #fff;
    border-radius: 5px;
    box-shadow: 0 15px 40px rgba(44, 48, 67, .15);
    overflow: hidden;
}

.qa__content__item__title {
    display: block;
    width: 100%;
    font-size: 18px;
    line-height: 1.2;
    color: #44464e;
    font-family: 'NotoSansTC-M';
    padding: 20px 45px 20px 25px;
    border-top: 2px solid rgba(91, 93, 101, .1);
    cursor: pointer;
}

.qa__content__item__title::before,
.qa__content__item__title::after {
    content: '';
    position: absolute;
    display: block;
    background: #000;
}

.qa__content__item__title::before {
    top: 30px;
    right: 25px;
    width: 12px;
    height: 2px;
}

.qa__content__item__title::after {
    top: 25px;
    right: 30px;
    width: 2px;
    height: 12px;
    opacity: 1;
}

.qa__content__item:last-of-type .qa__content__item__title,
.qa__content__item__title.active {
    border-bottom: 2px solid rgba(91, 93, 101, .1);
}

.qa__content__item__title.active::after {
    opacity: 0;
}

.qa__content__item__answer {
    display: none;
    width: 100%;
    padding: 30px 25px;
}

@media screen and (max-width: 1200px) {

    /****側欄****/
    .qa__aside {
        width: 250px;
    }

    /****內文****/
    .qa__content {
        width: calc(100% - 150px);
    }
}

@media screen and (max-width: 991px) {
    .qa {
        padding: 0 0 90px 0;
    }

    /****側欄****/
    .qa__aside {
        width: 175px;
        margin: 50px -50px 60px 0;
    }

    /****內文****/
    .qa__content {
        width: calc(100% - 125px);
        padding: 55px 80px;
    }

    .qa__content__item__title {
        padding: 20px 20px 20px 15px;
    }

    .qa__content__item__title::before {
        right: 0;
    }

    .qa__content__item__title::after {
        right: 5px;
    }
}

@media screen and (max-width: 767px) {
    .qa {
        display: block;
    }

    /****側欄****/
    .qa__aside {
        width: 100%;
        margin: 0 auto 20px auto;
    }

    .qa__aside__list {
        display: none;
    }

    .qa__aside__select {
        display: block;
    }

    /****內文****/
    .qa__content {
        width: 100%;
        padding: 55px 30px;
    }

    .qa__content__item__title {
        padding: 20px 25px 20px 0;
    }
}

@media screen and (max-width: 575px) {
    .qa {
        padding: 0 0 70px 0;
    }

    /****內文****/
    .qa__content {
        padding: 30px 20px;
    }

    .qa__content__item__title {
        font-size: 16px;
        padding: 15px 30px 15px 0;
    }

    .qa__content__item__title::before {
        top: 23px;
    }

    .qa__content__item__title::after {
        top: 18px;
    }

    .qa__content__item__answer {
        padding: 30px 10px;
    }
}



/****IOS樣式****/
@supports (-webkit-touch-callout: none) {}